gitit-0.12.3.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None
Language | Haskell98

Network.Gitit.Feed

Description

Functions for creating Atom feeds for Gitit wikis and pages.

# Documentation

data FeedConfig Source #

Constructors

FeedConfig |

Fields

- fcTitle :: String
- fcBaseUrl :: String
- fcFeedDays :: Integer

Instances

Read FeedConfig Source # |
Instance details Defined in Network.Gitit.Feed Methods readsPrec :: Int -> ReadS FeedConfig Source # readList :: ReadS [FeedConfig] Source # readPrec :: ReadPrec FeedConfig Source # readListPrec :: ReadPrec [FeedConfig] Source #
Show FeedConfig Source # |
Instance details Defined in Network.Gitit.Feed Methods showsPrec :: Int -> FeedConfig -> ShowS Source # show :: FeedConfig -> String Source # showList :: [FeedConfig] -> ShowS Source #

filestoreToXmlFeed :: FeedConfig -> FileStore -> Maybe FilePath -> IO String Source #